Bug 1561570 - CVE-2018-1302 mod_http2: httpd: Use-after-free on HTTP/2 stream shutdown [fedora-all]
Summary: CVE-2018-1302 mod_http2: httpd: Use-after-free on HTTP/2 stream shutdown [fed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_http2
Version: 27
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Luboš Uhliarik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-1302
TreeView+ depends on / blocked
 
Reported: 2018-03-28 14:35 UTC by Pedro Sampaio
Modified: 2018-04-27 22:59 UTC (History)
2 users (show)

Fixed In Version: mod_http2-1.10.16-1.fc26 mod_http2-1.10.16-1.fc27 mod_http2-1.10.18-1.fc26
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-05 23:57:01 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2018-03-28 14:35:59 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2018-03-28 14:36:04 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1560625,1561570

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Joe Orton 2018-03-29 16:27:09 UTC
Package: mod_http2-1.10.16-1.fc29
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1063885

Comment 3 Joe Orton 2018-03-29 17:06:09 UTC
Package: mod_http2-1.10.16-1.fc28
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1063896

Comment 4 Joe Orton 2018-03-29 17:19:15 UTC
Package: mod_http2-1.10.16-1.fc27
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1063898

Comment 5 Joe Orton 2018-03-29 17:19:23 UTC
Package: mod_http2-1.10.16-1.fc26
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1063899

Comment 6 Fedora Update System 2018-03-29 18:14:01 UTC
mod_http2-1.10.16-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0a95bff197

Comment 7 Fedora Update System 2018-03-29 18:14:38 UTC
mod_http2-1.10.16-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6855fa237d

Comment 8 Fedora Update System 2018-03-29 18:15:14 UTC
mod_http2-1.10.16-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-eec13e2e8d

Comment 9 Fedora Update System 2018-03-30 14:38:17 UTC
mod_http2-1.10.16-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6855fa237d

Comment 10 Fedora Update System 2018-03-30 14:47:35 UTC
mod_http2-1.10.16-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0a95bff197

Comment 11 Fedora Update System 2018-03-30 15:17:44 UTC
mod_http2-1.10.16-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-eec13e2e8d

Comment 12 Fedora Update System 2018-04-05 11:45:47 UTC
mod_http2-1.10.16-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-04-05 23:57:01 UTC
mod_http2-1.10.16-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-04-18 10:30:39 UTC
mod_http2-1.10.18-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-63de5f3f6b

Comment 15 Fedora Update System 2018-04-19 01:11:40 UTC
mod_http2-1.10.18-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-63de5f3f6b

Comment 16 Fedora Update System 2018-04-27 22:59:29 UTC
mod_http2-1.10.18-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.